﻿using System;
using System.Collections.Generic;
using System.Data;

namespace FlexGridBenchmark.Utils
{
    public class Data : IDisposable
    {
        public Data(DataTable dataTable, Dictionary<int, string>[] dataMaps, int firstDataMapColumnIndex, int dataTypeCount)
        {
            DataTable = dataTable;
            DataMaps = dataMaps;
            FirstDataMapColumnIndex = firstDataMapColumnIndex;
            DataTypeCount = dataTypeCount;
        }

        public DataTable DataTable { get; private set; }

        public Dictionary<int, string>[] DataMaps { get; private set; }

        public int FirstDataMapColumnIndex { get; private set; }

        public int DataTypeCount { get; private set; }

        public void Dispose()
        {
            DataTable?.Dispose();
        }
    }
}
