﻿using BenchmarkDotNet.Attributes;

namespace FlexGridBenchmark.Benchmarks
{
    [MemoryDiagnoser]
    [RPlotExporter]
    [MinIterationCount(30)]
    [MaxIterationCount(10000)]
    public abstract class BaseBenchmarks
    {
        [Params(10000, 100000, 1000000)]
        public virtual int RowCount { get; set; }

        [Params(20, 50, 100, 200)]
        public virtual int ColumnCount { get; set; }
    }
}
